c-icap-mkbdb(8)

NAME
c-icap-mkbdb - simple ICAP clientutility to create Berkeley DB lookup tables

SYNOPSIS
c-icap-mkbdb [ -V ] [ -VV ] [ -d debug_level ] [ -i file.txt ] [ -o file.db ] [ -t string|int|ip ] [ -v string|int|ip ] [ --dump ]

DESCRIPTION
c-icap-mkbdb utility can be used to create Berkeley DB databases which can be used as lookup tables by the c-icap server.

OPTIONS

-V  Print version

-VV Print build informations

-d debug_level
    The debug level

-i file.txt
    The file contains the data (required). The line format of this file must be:
    key: value1, value2, ....

-o file.db
    The database to be created

-t string|int|ip
    The type of the key. Select string for string keys, int for integer keys or ip for using IP addresses as keys. The "string" is the default.

-v string|int|ip
    The type of the values. The "string" is the default.

-p page_size[k]
    The page size to use. Can not be less than 512 bytes or greater than 64k. Read berkeleyDB manual for default values.

--btree
    Use B-Tree as access method for the database. By default uses Hash.

--dump
    Do not update the database just dump it to the screen.

EXAMPLES

c-icap-mkbdb -o keys -i keys.txt
    It builds the keys Berkeley DB database, using string type for keys and values.

c-icap-mkbdb -o keys --dump
    Dump the contents of the keys database

SEE ALSO
c-icap(8) c-icap-client(8) c-icap-stretch(8) c-icap-config(8) c-icap-libicapapi-config(8)

AUTHOR
Tsantilas Christos